Package twisted :: Package web :: Module vhost :: Class VirtualHostCollection |
[show private | hide private]
[frames | no frames]

## Class VirtualHostCollection

    Collection --+
                 |
       Constrained --+
                     |
            Homogenous --+
                         |
                        VirtualHostCollection

Wrapper for virtual hosts collection.

This exists for configuration purposes.

Method Summary
| `__init__(self, nvh)`
| ``delEntity`(self, name)` Remove a static reference for 'name'.
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `Homogenous`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Collection`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)` (inherited from `Homogenous`)
| `getNameType(self)` (inherited from `Homogenous`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity.
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Collection`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``listEntities`(self, request)` Retrieve a list of all name, entity pairs I contain. (inherited from `Collection`)
| ``listNames`(self, request)` Retrieve a list of all names for entities that I contain. (inherited from `Collection`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to.
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, name, entity)`
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)

Class Variable Summary
`class` | `Resource`

Method Details

### delEntity(self, name) Remove a static reference for 'name'. Raises a KeyError if the operation fails. Overrides: `twisted.python.roots.Collection.delEntity` (inherited documentation)

### getStaticEntity(self, name) Get an entity that was added to me using putEntity. This method will return 'None' if it fails. Overrides: `twisted.python.roots.Collection.getStaticEntity` (inherited documentation)

### listStaticEntities(self) Retrieve a list of all name, entity pairs that I store references to. See getStaticEntity. Overrides: `twisted.python.roots.Collection.listStaticEntities` (inherited documentation)

Class Variable Details

### Resource `Resource` = `twisted.web.resource.Resource`

Generated by Epydoc 1.1 on Thu May 8 13:17:00 2003 | http://epydoc.sf.net